#ifndef BPL_PTOKEN_H
#define BPL_PTOKEN_H

const int COMMA = 80;
const int GTHANEQUAL = 81;
const int LTHANEQUAL = 82;
const int PLUSPLUS = 83;
const int MINUSMINUS = 84;
const int PLUSEQUALS = 85;
const int MINUSEQUALS = 86;

const int INTEGER = 51;
const int STRING = 52;
const int IDENT = 53;

const int PERIOD = 54;
const int LTHAN = 55;
const int GTHAN = 56;
const int EQUALS = 57;
const int SEMI = 58;
const int COLON = 59;
const int POUND = 60;

const int BIT_AND = 61;
const int LOGIC_AND = 62;
const int BIT_OR = 63;
const int LOGIC_OR = 64;

const int LBRAC = 44;
const int RBRAC = 45;

const int PLUS = 46;
const int MINUS = 47;
const int STAR = 48;
const int FSLASH = 49;
const int BSLASH = 50;

const int LPAREN = 40;
const int RPAREN = 41;

const int LBRACE = 42;
const int RBRACE = 43;

struct PToken
{
	int type;
	int line;
};

struct PTokenData
{
	int type;
	int line;
	char* data;
};

#endif
