#ifndef BPL_PARSER_H
#define BPL_PARSER_H

#include <iostream>
#include <fstream>
#include <iomanip>
#include <string>
#include <cctype>
#include <list>
#include "PToken.h"

using namespace std;

class Parser
{
public:
	Parser(string filename);
	~Parser();
	list<PToken*>* getTokens() { return tokens; }

private:
	void addToken(PToken*);
	void addToken(PTokenData*);
	void parse();

	ifstream file;
	int lineno;
	list<PToken*> *tokens;
};

#endif
